//
// Created by Vicente Ferrari Smith on 12.02.26.
//

#ifndef V_VULKAN_H
#define V_VULKAN_H

#include <volk/volk.h>
#include <GLFW/glfw3.h>
#include <vma/vk_mem_alloc.h>
#include <vector>

struct Device {
    VkDevice device;
};

void createSwapchain(GLFWwindow* window);

int createInstance(GLFWwindow* window);
void createSurface(GLFWwindow* window);
void pickPhysicalDevice();
void createDevice();


#endif //V_VULKAN_H
